* {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    border-radius: 5px;
}

body {
    --hue: 0;
    --accent: hsl(var(--hue) 75% 75%);
    --background-primary: hsl(var(--hue) 15% 15%);
    --background-secondary: hsl(var(--hue) 15% 25%);
    margin: 0 auto;
    padding: 10px 5px 50px 5px;
    background-color: var(--background-primary);
    max-width: 1400px;
    color: white;
}

a {
    color: var(--accent);
}

hr {
    border: 2px solid var(--background-secondary);
    border-radius: 2px;
    margin: 20px 0;
}

li {
    margin: 5px 0;
}

.inline-code {
    background-color: var(--background-secondary);
    font-family: monospace;
    border-radius: 5px;
    padding: 2px 5px;
    border: 2px solid var(--background-primary);
}

#upload-container {
    border-radius: 5px;
    border: 3px solid var(--accent);
    background-color: var(--background-secondary);
    position: relative;
}

#upload-container p {
    position: absolute;
    margin: 30px 20px;
    width: 100%;
    font-weight: bold;
    font-size: 1.2em;
}

input[type="file"] {
    padding: 30px 20px;
    cursor: pointer;
    opacity: 0;
    width: 100%;
}

button {
    background-color: var(--accent);
    border: none;
    outline: none;
    padding: 15px 30px;
    margin-right: 20px;
    font-family: inherit;
    font-size: inherit;
    font-weight: bold;
    color: var(--background-primary);
    cursor: pointer;
    opacity: 0.9;
    transition: opacity ease-out 0.2s;
}

button:hover {
    opacity: 1;
}

button[disabled] {
    opacity: 0.4;
    cursor: not-allowed;
}

#analyse-button {
    margin: 0;
    margin-top: 20px;
}

h2 {
    margin-top: 30px;
}

#output {
    display: block;
    background-color: hsl(var(--hue) 35% 10%);
    border: 3px solid var(--accent);
    overflow-y: scroll;
    font-family: monospace;
    min-height: 300px;
    height: 400px;
    padding: 10px;
    resize: vertical;
}

#colour-picker {
    -webkit-appearance: none;
    background: transparent;
    display: block;
    cursor: pointer;
    width: 100%;
    margin: 5px 0;
}

#colour-picker::-webkit-slider-runnable-track {
    height: 10px;
    border-radius: 5px;
    background: linear-gradient(90deg, red, #ff0 17%, #0f0 33%, #0ff 50%, #00f 66%, #f0f 83%, red);
}

#colour-picker::-webkit-slider-thumb {
    -webkit-appearance: none;
    margin-top: -5px;
    height: 20px;
    width: 10px;
    background: var(--background-primary);
    border: 3px solid hsl(var(--hue) 50% 40%);
    border-radius: 5px;
}

#colour-picker::-moz-range-track {
    height: 10px;
    border-radius: 5px;
    background: linear-gradient(90deg, red, #ff0 17%, #0f0 33%, #0ff 50%, #00f 66%, #f0f 83%, red);
}

#colour-picker::-moz-range-thumb {
    height: 20px;
    width: 7.5px;
    background: var(--background-primary);
    border: 3px solid hsl(var(--hue) 50% 40%);
    border-radius: 5px;
}

datalist {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

option {
    padding: 0;
}